Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034345
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2016-10-28 15:092017-03-15 20:18
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisiond8929499d9ff
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034345: Sales Dimensional Report is not showing sales order lines with 0 line net amount

DescriptionSales Dimensional Report is not showing sales order lines with 0 line net amount
Steps To ReproduceAs group admin role:
   Create a new purchase order
   Add a line to it and set its net unit price to 0
   Book it
   Launch the Purchase Dimensional Report
   Add Documentno and Product as Dimensions
   Check the previously created purchase order is shown in the report
   Create a new sales order
   Add a line to it and set its net unit price to 0
   Book it
   Launch the Sales Dimensional Report
   Add Documentno and Product as Dimensions
   Check the previously created sales order line is not shown in the report
TagsNo tags attached.
Attached Filesdiff file icon 34345notest.diff [^] (1,330 bytes) 2016-10-28 15:11 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00172323.0MP1 closeddalsasua Purchase order closed before create associated receipt is not showed in Purchase Dimensional Report 
related to design defect 0034907 newTriage Finance Sales Dimensional Report can be improved by adding Document Type dimension. 

-  Notes
(0093114)
rqueralta (developer)
2017-01-03 05:16

As Group Admin role:
   Create a new sales order
   Add a line to it and set its net unit price to 0
   Book it
   Launch the Sales Dimensional Report
   Add Documentno and Product as Dimensions
   Check the previously created sales order line is shown in the report
(0093172)
psanjuan (manager)
2017-01-04 11:59

Issue verified.
(0093326)
psanjuan (manager)
2017-01-11 11:06
edited on: 2017-01-11 11:14

Test Plan:

Go to Sales Order window and create a new one for F&B EspaƱa, Alimentos y Supermercados business partner. Enter current date as order date.
Add a line to it, include any product and set a unit price = 0.
Book the order and write down order number (i.e. 1000223)
Launch Sales Dimensional Report for current date.
Add DocumentNo and Product as Dimensions.

Check that the order is shown in the report.

Repeat same test as above for all sales order types (POS order and Warehouse Order), and verify that all of them are shown in the report.

(0093327)
psanjuan (manager)
2017-01-11 11:14

Test plan above verified. Issue can be code reviewed and closed.
(0093343)
psanjuan (manager)
2017-01-11 11:30

New desing defect created and related to this issue. See issue 34907
(0093609)
hgbot (developer)
2017-01-16 19:44

Repository: erp/devel/pi
Changeset: d8929499d9ff31a86217532f69abe07fce464b40
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Jan 02 17:15:14 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/d8929499d9ff31a86217532f69abe07fce464b40 [^]

Fixed issue 34345:Sales Dimensional Report is not showing SO with 0 net amount

Having clause was changed to show Sales Order lines with 0 line net amount

---
M src/org/openbravo/erpCommon/ad_reports/ReportSalesDimensionalAnalyzeJR.java
---
(0093610)
hgbot (developer)
2017-01-16 19:44

Repository: erp/devel/pi
Changeset: a75ea21e11ecc2dc9e3afe65e339a7ebd3def11a
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Jan 16 13:15:25 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/a75ea21e11ecc2dc9e3afe65e339a7ebd3def11a [^]

Related to issue 34345: Code review improvements

Some code review improvements to check the amounts are GREATER THAN (not equals)
and/or LESS THAN (not equals) the filters provided in the UI. If there is not any
amount filter defined then it is not necessary to include a "HAVING" clause to the
query.

Applied these changes to Sales and Purchase Orders reports.

---
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportSalesDimensionalAnalyzeJR.java
---
(0093614)
markmm82 (developer)
2017-01-16 19:58

Code review + Testing OK
(0095100)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095101)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-28 15:09 ngarcia New Issue
2016-10-28 15:09 ngarcia Assigned To => Triage Finance
2016-10-28 15:09 ngarcia Modules => Core
2016-10-28 15:09 ngarcia Triggers an Emergency Pack => No
2016-10-28 15:11 ngarcia File Added: 34345notest.diff
2016-10-28 15:11 ngarcia Issue Monitored: networkb
2016-10-28 15:11 ngarcia Relationship added related to 0017232
2016-12-27 18:56 markmm82 Assigned To Triage Finance => rqueralta
2017-01-03 05:16 rqueralta Note Added: 0093114
2017-01-04 11:59 psanjuan Note Added: 0093172
2017-01-11 11:06 psanjuan Note Added: 0093326
2017-01-11 11:13 psanjuan Note Edited: 0093326 View Revisions
2017-01-11 11:14 psanjuan Note Edited: 0093326 View Revisions
2017-01-11 11:14 psanjuan Note Added: 0093327
2017-01-11 11:30 psanjuan Note Added: 0093343
2017-01-11 11:30 psanjuan Relationship added related to 0034907
2017-01-13 18:57 markmm82 Status new => scheduled
2017-01-16 19:44 hgbot Checkin
2017-01-16 19:44 hgbot Note Added: 0093609
2017-01-16 19:44 hgbot Status scheduled => resolved
2017-01-16 19:44 hgbot Resolution open => fixed
2017-01-16 19:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d8929499d9ff31a86217532f69abe07fce464b40 [^]
2017-01-16 19:44 hgbot Checkin
2017-01-16 19:44 hgbot Note Added: 0093610
2017-01-16 19:58 markmm82 Review Assigned To => markmm82
2017-01-16 19:58 markmm82 Note Added: 0093614
2017-01-16 19:58 markmm82 Status resolved => closed
2017-01-16 19:58 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095100
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095101


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker